%global commit 6aabe8983af2db4a7697a9d3a739819109306979
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:       Microsoft EMF (Enhanced Metafile) to SVG conversion library
Name:          libemf2svg
Version:       1.1.0
Release:       1.20180102git%{shortcommit}%{?dist}
License:       GPLv2+
Source:        https://github.com/kakwa/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
URL:           https://github.com/kakwa/libemf2svg
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: freetype-devel
BuildRequires: fontconfig-devel

%description
Microsoft EMF (Enhanced Metafile) to SVG conversion library

%package devel
Summary:       Development files for libemf2svg
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
The libemf2svg-devel package contains header files and documentation necessary
for developing programs using the emf2svg library.

%prep
%autosetup -n %{name}-%{commit}

%build
%cmake .
%make_build

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%license LICENSE
%doc README.md
%{_bindir}/emf2svg-conv
%{_libdir}/libemf2svg.so.1
%{_libdir}/libemf2svg.so.%{version}

%files devel
%{_libdir}/libemf2svg.so
%{_includedir}/emf2svg.h

%changelog
* Tue Apr 24 2018 spike <spike@fedoraproject.org> 1.1.0-1.20180102git6aabe89
- Updated to 1.1.0 release

* Thu Nov 30 2017 spike <spike@fedoraproject.org> 1.0.3-1.20171130git7b3e22ea
- Initial package
